## com.imcode.imcms.api
Class Document.PublicationStatus

    java.lang.Object
      com.imcode.imcms.api.Document.PublicationStatus

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Document

    public static class Document.PublicationStatus

extends java.lang.Object
implements java.io.Serializable

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`static Document.PublicationStatus` `APPROVED`
`static Document.PublicationStatus` `DISAPPROVED`
`static Document.PublicationStatus` `NEW`

Method Summary
`java.lang.Integer` `asInt()`
`boolean` `equals(java.lang.Object o)`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NEW

    public static final Document.PublicationStatus NEW

### APPROVED

    public static final Document.PublicationStatus APPROVED

### DISAPPROVED

    public static final Document.PublicationStatus DISAPPROVED

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### asInt

    public java.lang.Integer asInt()